Bug 148503 - [patch] graphics/mupdf: remove forceful optimization
[patch] graphics/mupdf: remove forceful optimization
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Baptiste Daroussin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-11 23:50 UTC by swell.k
Modified: 2010-08-04 06:30 UTC (History)
0 users

See Also:


Attachments
a.diff (1.37 KB, patch)
2010-07-11 23:50 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-07-11 23:50:01 UTC
- -msse2 and -march=k8 can easily break package on old machines,
  prefer anything beyond -O2 + _CPUCFLAGS to be specified by user
  in make.conf
- make build verbose by default. It should make pointyhat logs a bit
  more useful.
- sort and coalesce multiple invocations REINPLACE_CMD against one file
  in order to make it easier to examine modifications by `diff foo.bak foo'
- define ARCH_X86_64 on amd64
Comment 1 Edwin Groothuis freebsd_committer 2010-07-11 23:54:40 UTC
Maintainer of graphics/mupdf,

Please note that PR ports/148503 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148503

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-11 23:54:42 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 swell.k 2010-07-12 02:25:19 UTC
Anonymous <swell.k@gmail.com> writes:

> Anonymous <swell.k@gmail.com> writes:
>
>> +		-e 's/CC = .*/CC = ${CC}/g' \
>
> Well, I've overlooked but above expression does not allow using path in
> CC that contains slashes, e.g. /usr/local/bin/gcc45.
>
>> +		${WRKSRC}/Makerules
>
> --- b.diff begins here ---
> --- Makefile~
> +++ Makefile
> @@ -50,7 +50,7 @@ post-patch:	.SILENT
>  		${WRKSRC}/Makefile
>  	${REINPLACE_CMD} -e 's/LAGS :=/LAGS +=/g' \
>  		-e 's/Linux/FreeBSD/g' \
> -		-e 's/CC = .*/CC = ${CC}/g' \
> +		-e '/CC/s/=/?=/' \
                    ^^^
It should be /^CC/ rather than /CC/. So that there is no substitution
like `LD ?=...' that inherits LD from sys.mk. Using ld(1) directly may
not work with this port.

Sorry.

>  		-e '/-msse/d' \
>  		${WRKSRC}/Makerules
>  
> --- b.diff ends here ---
Comment 4 swell.k 2010-07-12 02:45:10 UTC
Anonymous <swell.k@gmail.com> writes:

> +		-e 's/CC = .*/CC = ${CC}/g' \

Well, I've overlooked but above expression does not allow using path in
CC that contains slashes, e.g. /usr/local/bin/gcc45.

> +		${WRKSRC}/Makerules

--- b.diff begins here ---
--- graphics/mupdf/Makefile~
+++ graphics/mupdf/Makefile
@@ -50,7 +50,8 @@ post-patch:	.SILENT
 		${WRKSRC}/Makefile
 	${REINPLACE_CMD} -e 's/LAGS :=/LAGS +=/g' \
 		-e 's/Linux/FreeBSD/g' \
-		-e 's/CC = .*/CC = ${CC}/g' \
+		-e '/^CC/s/=/?=/' \
+		-e '/-O3/d' \
 		-e '/-msse/d' \
 		${WRKSRC}/Makerules
 
--- b.diff ends here ---
Comment 5 Baptiste Daroussin freebsd_committer 2010-07-28 20:26:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 6 martin.dieringer 2010-08-03 21:20:43 UTC
they changed the sourcefile again.
here is a new patch including a.diff and b.diff, + PORTREVISION 1


===> Generating patch
===> Viewing diff with more
diff -ruN --exclude=CVS /usr/ports/graphics/mupdf/Makefile /usr/ports/graphics/mupdf_patch/Makefile
--- /usr/ports/graphics/mupdf/Makefile	2010-07-24 13:24:18.348486283 +0200
+++ /usr/ports/graphics/mupdf_patch/Makefile	2010-08-03 22:15:38.989705526 +0200
@@ -6,10 +6,11 @@

  PORTNAME=	mupdf
  PORTVERSION=	0.6
+PORTREVISION=	1
  PORTEPOCH=	1
  CATEGORIES=	graphics
  MASTER_SITES=	http://www.mupdf.com/download/source/
-DISTNAME=	${PORTNAME}-${PORTVERSION}-source
+DISTNAME=	${PORTNAME}-${PORTVERSION}

  MAINTAINER=	martin.dieringer@gmx.de
  COMMENT=	Lightweight PDF viewer and toolkit
@@ -20,7 +21,7 @@
  		openjpeg.2:${PORTSDIR}/graphics/openjpeg

  USE_GMAKE=	yes
-MAKE_ARGS+=	build=release prefix=${PREFIX} verbose=true
+MAKE_ARGS+=	build=release prefix=${PREFIX}
  WRKSRC=		${WRKDIR}/${PORTNAME}
  USE_XORG=	x11 xext
  USE_GNOME=	pkgconfig
@@ -38,12 +39,21 @@

  .if ${ARCH} == "sparc64"
  BROKEN=		Does not install on sparc64
+.elif ${ARCH} == amd64
+CFLAGS+=	-DARCH_X86_64
+.else
+CFLAGS+=	-DARCH_X86
  .endif

-post-patch:
-	@${REINPLACE_CMD} 's/LAGS :=/LAGS +=/g' ${WRKSRC}/Makerules
-	@${REINPLACE_CMD} 's/Linux/FreeBSD/g' ${WRKSRC}/Makerules
-	@${REINPLACE_CMD} 's/CC = .*/CC = ${CC}/g' ${WRKSRC}/Makerules
-	@${REINPLACE_CMD} 's#\(PDF.*_EXE=.*DIR./\)#\1mu_#g' ${WRKSRC}/Makefile
+post-patch:	.SILENT
+	${REINPLACE_CMD} -e 's#\(PDF.*_EXE=.*DIR./\)#\1mu_#g' \
+		-e 's/@[[:space:]]*echo[^&]*&&//' \
+		${WRKSRC}/Makefile
+	${REINPLACE_CMD} -e 's/LAGS :=/LAGS +=/g' \
+		-e 's/Linux/FreeBSD/g' \
+		-e '/^CC/s/=/?=/' \
+		-e '/-O3/d' \
+		-e '/-msse/d' \
+		${WRKSRC}/Makerules

  .include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/graphics/mupdf/distinfo /usr/ports/graphics/mupdf_patch/distinfo
--- /usr/ports/graphics/mupdf/distinfo	2010-07-24 13:24:18.348486283 +0200
+++ /usr/ports/graphics/mupdf_patch/distinfo	2010-08-03 22:13:46.348159743 +0200
@@ -1,3 +1,3 @@
-MD5 (mupdf-0.6-source.tar.gz) = d1e1a1df8fb3e4d1c601506797b75036
-SHA256 (mupdf-0.6-source.tar.gz) = 6f87c4f113ee9e0f4bdfd3a316ef44052edc4febc8f7b531c4a3f44ffe149605
-SIZE (mupdf-0.6-source.tar.gz) = 3607245
+MD5 (mupdf-0.6.tar.gz) = d1e1a1df8fb3e4d1c601506797b75036
+SHA256 (mupdf-0.6.tar.gz) = 6f87c4f113ee9e0f4bdfd3a316ef44052edc4febc8f7b531c4a3f44ffe149605
+SIZE (mupdf-0.6.tar.gz) = 3607245
===> Done
Comment 7 swell.k 2010-08-03 21:59:09 UTC
I think you can drop DISTNAME line. ${PORTNAME}-${PORTVERSION} is used
by default.
Comment 8 martin.dieringer 2010-08-03 22:30:07 UTC
of course

On Wed, 4 Aug 2010, Anonymous wrote:

> I think you can drop DISTNAME line. ${PORTNAME}-${PORTVERSION} is used
> by default.
>
Comment 9 dfilter freebsd_committer 2010-08-04 06:25:21 UTC
bapt        2010-08-04 05:25:07 UTC

  FreeBSD ports repository

  Modified files:
    graphics/mupdf       Makefile distinfo 
  Log:
  - Respect ports CFLAGS [1]
  - Cleanup REINPLACE_CMD usage [2]
  - Bump PORTREVISION
  - Correctly define i386 and amd64 optimisation [2]
  
  PR:             ports/148503 [1][2] ports/148674 [1]
  Submitted by:   Dominic Fandrey <kamikaze _at_ bsdforen.de> [1], Anonymous <swell.k _at_ gmail.com> [1][2], Martin Dieringer <martin.dieringer _at_ gmx.de> [1][2] (maintainer)
  Approved by:    tabthorpe@ (co-mentor)
  
  Revision  Changes    Path
  1.8       +16 -7     ports/graphics/mupdf/Makefile
  1.6       +3 -3      ports/graphics/mupdf/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Baptiste Daroussin freebsd_committer 2010-08-04 06:25:45 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!